package net.customware.license.jira.exemption;

import net.customware.license.atlassian.exemption.LicenseTypeExemption;

import com.atlassian.license.License;
import com.atlassian.license.applications.jira.JiraLicenseTypeStore;

/**
 * An exemption for standard Confluence 'Evaluation' or 'Demo' licenses.
 */
public class EvaluationLicenseTypeExemption extends LicenseTypeExemption {

    public EvaluationLicenseTypeExemption() {
        super(
                // Enterprise
                JiraLicenseTypeStore.JIRA_ENTERPRISE_DEMONSTRATION,
                JiraLicenseTypeStore.JIRA_ENTERPRISE_EVALUATION,
                // Professional
                JiraLicenseTypeStore.JIRA_PROFESSIONAL_DEMONSTRATION,
                JiraLicenseTypeStore.JIRA_PROFESSIONAL_EVALUATION,
                // Standard
                JiraLicenseTypeStore.JIRA_STANDARD_DEMONSTRATION, JiraLicenseTypeStore.JIRA_STANDARD_EVALUATION );
    }

    @Override public boolean isExempt( Object context ) {
        if ( !super.isExempt( context ) ) {
            License license = getLicense( context );
            if ( license != null && license.getLicenseType().isEvaluationLicenseType() )
                return true;
            return false;
        }
        return true;
    }

}
