package net.customware.license.jira.exemption;

import net.customware.license.atlassian.exemption.LicenseTypeExemption;

import com.atlassian.license.applications.jira.JiraLicenseTypeStore;

/**
 * A simple exemption to allow instances with the standard 'free' license types
 * to use the plugin for free.
 */
public class FreeLicenseTypeExemption extends LicenseTypeExemption {

    public FreeLicenseTypeExemption() {
        super(
                // Enterprise
                JiraLicenseTypeStore.JIRA_ENTERPRISE_COMMUNITY,
                JiraLicenseTypeStore.JIRA_ENTERPRISE_NON_PROFIT,
                JiraLicenseTypeStore.JIRA_ENTERPRISE_OPEN_SOURCE,
                // Professional
                JiraLicenseTypeStore.JIRA_PROFESSIONAL_COMMUNITY,
                JiraLicenseTypeStore.JIRA_PROFESSIONAL_NON_PROFIT,
                JiraLicenseTypeStore.JIRA_PROFESSIONAL_OPEN_SOURCE,
                // Standard
                JiraLicenseTypeStore.JIRA_STANDARD_COMMUNITY, JiraLicenseTypeStore.JIRA_STANDARD_NON_PROFIT,
                JiraLicenseTypeStore.JIRA_STANDARD_OPEN_SOURCE );
    }
}
